Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules.actions
Class DefaultAction

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Action
              org.apache.turbine.modules.actions.DefaultAction

    public class DefaultAction

extends Action

This is a Default Action module that doesn't do much.

Version:
  $Id: DefaultAction.java 1066529 2011-02-02 17:01:46Z ludwig $
Author:
  Dave Bryson, Peter Courcoux

Field Summary

Fields inherited from class org.apache.turbine.modules.Action
`CACHE_SIZE_DEFAULT, CACHE_SIZE_KEY, NAME, PREFIX`

Constructor Summary
`DefaultAction()`

Method Summary
`void` | `doPerform(PipelineData pipelineData)` Execute the action.
`void` | `doPerform(RunData data)` Deprecated. Use PipelineData version instead.

Methods inherited from class org.apache.turbine.modules.Action
`getPrefix, perform, perform`

Methods inherited from class org.apache.turbine.modules.Assembler
`getRunData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultAction

    public DefaultAction()

Method Detail

### doPerform

    @Deprecated
    public void doPerform(RunData data)
                   throws Exception

  Deprecated. Use PipelineData version instead.

  Execute the action.

  Specified by:
    `doPerform` in class `Action`
  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception` - a generic exception.

### doPerform

    public void doPerform(PipelineData pipelineData)
                   throws Exception

  Execute the action.

  Overrides:
    `doPerform` in class `Action`
  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception` - a generic exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.